Package org.apache.velocity.util

# Class DeprecationAwareExtProperties

java.lang.Object
java.util.Dictionary<String,Object>
java.util.Hashtable<String,Object>
org.apache.velocity.util.DeprecationAwareExtProperties

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,Object>`

Direct Known Subclasses:
  `ExtProperties`

@Deprecated public class DeprecationAwareExtProperties extends Hashtable<String,Object>
Deprecated.
it will disappear along with deprecated key names in 3.0.
This class extends ExtProperties to handle deprecated propery key names.

Since:
  2.1
Version:
  $Revision: $, $Id: DeprecationAwareExtProperties.java$
Author:
  Claude Brisson
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static org.slf4j.Logger`
`logger`
Deprecated.
Logger used to log the use of deprecated properties names.

## Constructor Summary

Constructors
Constructor
Description
`DeprecationAwareExtProperties()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsKey(String key)`
Deprecated.
Property getter which checks deprecated property keys
`Object`
`get(String key)`
Deprecated.
Property getter which checks deprecated property keys
`Object`
`put(String key, Object value)`
Deprecated.
Property setter which checks deprecated property keys
`protected String`
`translateKey(String key)`
Deprecated.
Translate if needed a deprecated key into its replacement key, and emit a warning for deprecated keys
`protected void`
`warnDeprecated(String oldName, String newName)`
Deprecated.
Emit a warning in the log for adeprecated property name

### Methods inherited from class java.util.Hashtable

`clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keys, keySet, merge, putAll, putIfAbsent, rehash, remove, remove, replace, replace, replaceAll, size, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### logger

protected static org.slf4j.Logger logger
Deprecated.

Logger used to log the use of deprecated properties names.

Since at the time Velocity properties are set Velocity is not yet initialized, this logger namespace can only be a child of the default logger name: `org.apache.velocity.deprecation`.

It won't honor the `runtime.log.instance` or `runtime.log.name` settings.

## Constructor Details

### DeprecationAwareExtProperties

public DeprecationAwareExtProperties()
Deprecated.

## Method Details

### warnDeprecated

protected void warnDeprecated(String oldName, String newName)
Deprecated.
Emit a warning in the log for adeprecated property name

Parameters:
  `oldName` - old property name
  `newName` - new property name

### translateKey

protected String translateKey(String key)
Deprecated.
Translate if needed a deprecated key into its replacement key, and emit a warning for deprecated keys

Parameters:
  `key` - provided key
Returns:
  translated key

### get

public Object get(String key)
Deprecated.
Property getter which checks deprecated property keys

Parameters:
  `key` - provided key
Returns:
  found value under this key or under the corresponding deprecated one, if any

### put

public Object put(String key, Object value)
Deprecated.
Property setter which checks deprecated property keys

Specified by:
  `put` in interface `Map<String,Object>`
Overrides:
  `put` in class `Hashtable<String,Object>`
Parameters:
  `key` - provided key
  `value` - provided value
Returns:
  previous found value, if any

### containsKey

public boolean containsKey(String key)
Deprecated.
Property getter which checks deprecated property keys

Parameters:
  `key` - provided key
Returns:
  found value under this key or under the corresponding deprecated one, if any